#!/usr/bin/env ruby

require 'rubygems'
require 'sinatra'
require 'model/tropy.rb'

TROPY_DB_PATH = './data/'

helpers do
  include Rack::Utils
  alias_method :h, :escape_html
  
  def formatTropy(content)
    pa = content.split(/\n\n/)
    pa.collect! do |item|
      item = "<p>#{item}</p>"
    end
    return pa.join('')
  end

  def randomColor
    color = ['#eaeaff', '#eaf4ff', '#eaffff', '#eafff4', '#eaffea', '#ffffea', '#fff4ea']
    return color[rand(color.length)]
  end

end

tropy = Tropy::TropyController.new(TROPY_DB_PATH)

get '/create' do
  haml :create
end

put '/create' do
  if id = tropy.appendEntry(request[:inputData])
    redirect "/#{id}",303
  else
    redirect '/',303
  end
end

get '/edit/:id' do
  if @entry = tropy.getEntry(params[:id])
    @inputData = @entry.title + "\n" + @entry.content
    haml :edit
  else
    redirect '/create',303
  end
end

put '/edit' do
  if id = tropy.updateEntry(request[:id], request[:inputData])
    redirect "/#{id}",303
  else
    redirect '/',303
  end
end

get '/' do
  @entry = tropy.random
  redirect "/#{@entry.id}",303
end

get '/:id' do
  if @entry = tropy.getEntry(params[:id])
    @title = @entry.title
    haml :index
  else
    redirect '/',303
  end
end


